﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

.mainbody {
    flex: 1 0 auto;
}

.footer {
    flex-shrink: 0;
}



/*html {
  position: relative;
  min-height: 100%;
}
*/
/*body {*/
/* Margin bottom by footer height */
/*margin-bottom: 60px;
}*/
/*.footer {
  position: absolute;
  bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px;*/ /* Vertically center the text there */
/*}*/

.cyberwolf-footer {
    /*font-size: 14px;*/
    font-style: italic;
    color: darkslategray;
}

.cyberwolf-footer-mobile {
    font-size: 10pt;
    font-style: italic;
    color: darkslategray;
}

/* DJD Override of bg-dark color */
.bg-dark {
    background-color: #00244d !important;
}

.navbar-toggler {
    border-color: rgba(255, 255, 255, 0.83) !important;
    background-color: #00244d !important;
    color: #fff !important;
}


/*#homeHeaderBar a.nav-link, #homeHeaderBar a.dropdown-item, #homeHeaderBar button {
    color: #fff !important;
}
*/

#homeHeaderBar a.nav-link, #homeHeaderBar a.dropdown-item {
    color: #fff !important;
}

    /*    #homeHeaderBar a.nav-link:hover, #homeHeaderBar a.dropdown-item:hover, #homeHeaderBar button:hover {
        color: #00244d !important;
        background-color: #fff !important;
    }
*/

    #homeHeaderBar a.nav-link:hover, #homeHeaderBar a.dropdown-item:hover {
        color: #00244d !important;
        background-color: #fff !important;
    }

#homeFooterBar a, #homeFooterBar span, #homeFooterBar button {
    color: #fff !important;
}

    #homeFooterBar a:hover, #homeFooterBar button:hover {
        color: #00244d !important;
        background-color: #fff !important;
    }

#loadingIndicator {
    position: absolute;
    top: 50%;
    left: 50%;
    /*    z-index: 9000000;
*/
}

#matchingItems {
    margin-left: 5%;
    font-weight: 600;
    font-style: italic;
}


/*#mnuAdmin:hover, #mnuAlerts:hover, #mnuCharts:hover {
    color: #00244d !important;
    background-color: #fff !important;
}*/

.dropdown:hover > .dropdown-menu {
    display: block;
}

.dropdown-menu {
    margin-top: 0;
}

.dropright:hover > .dropdown-menu {
    display: block;
}

.dropright .dropdown-menu {
    margin-left: 0;
}


/*#menuDJD .k-state-hover, #menuDJD .k-state-active {
    color: #00244d !important;
    background-color: #fff !important;
}*/

/* CSS Dropdown BS4 menu */
/*.navbar .nav-item:not(:last-child) {
    margin-right: 35px;
}*/


/*.dropdown-toggle::after {
    transition: transform 0.15s linear;
}*/

/*.show.dropdown .dropdown-toggle::after {
    transform: translateY(3px);
}*/

/*.k-state-active {
    color: #0366d6 !important;
    background-color: #d1d1d1 !important;
}*/

/* DJD - Testing of scrollable Table */

#testTable tbody, #testTable thead {
    display: block;
}

#testTable tbody {
    overflow: auto;
    height: 400px;
}


/* Override Max Width Size on XL */
@media (min-width: 576px) {
    .container {
        max-width: 962px;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 1170px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 2000px;
    }
}

/* Adjustments for Kendo Grid */
/* Wrap Header Text */
.k-grid-header .k-header {
    overflow: visible !important;
    white-space: normal !important;
}

/* Override Kendo Grid Pager Display None for SM/XS Media Widths */
/*.k-pager-wrap.k-pager-md .k-pager-info, .k-pager-wrap.k-pager-sm .k-pager-info {
    display: inline;
}*/

.cyberwolf-cmd-link {
    text-overflow: clip;
}

/*.chart-wrapper {
    min-height: 500px;
}*/

.cyberwolf-checkbox {
    height: 1.25em;
    width: 1.25em;
}


/* Override background color for Form Control */
.form-control {
    background-color: rgb(232, 240, 254) !important;
}

    .form-control:disabled, .form-control[readonly] {
        background-color: #e9ecef !important;
        /*opacity: 1;*/
    }

.card-body {
    padding: 0.50rem;
}

.cyberwolf-grid-button {
    width: 1.5em;
    height: 1.5em;
}

.cyberwolf-grid-caption {
    font-style: italic;
}

.cyberwolf-search {
    background-color: burlywood;
}

.cyberwolf-get-defaults {
    background-color: burlywood !important;
}

input.form-control.cyberwolf-get-defaults[readonly],
textarea.form-control.cyberwolf-get-defaults[readonly],
select.form-control.cyberwolf-get-defaults[readonly] {
    background-color: burlywood !important;
}

.cyberwolf-needs-input {
    background-color: rgba(246, 72, 72, 0.90) !important;
}

.cyberwolf-dashboard-last-update {
}

.wolfpackRowNum:hover {
    overflow: visible;
}



.card-header {
    padding-top: 0.25rem;
    padding-right: 0.75rem;
    padding-bottom: 0.25rem;
    padding-left: 0.75rem;
}

.card-footer {
    padding-top: 0.25rem;
    padding-right: 0.75rem;
    padding-bottom: 0.25rem;
    padding-left: 0.75rem;
}


#btnGotoTop {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    /*background-color: red;*/ /* Set a background color */
    /*color: white;*/ /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 10px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
    font-size: 14px; /* Increase font size */
}

    #btnGotoTop:hover {
        background-color: #555; /* Add a dark-grey background on hover */
    }


.table-djd {
    width: 100%;
}

.table-djd tbody {
    height: 500px;
    overflow-y: auto;
    width: 100%;
}

    .table-djd tbody tr {
        display: block;
        float: left;
        width: 100%;
    }


.table-djd tbody tr td {
    display: block;
    float: left;
}


.table-djd thead {
    display: block;
    float: left;
    width: 100%;
}

.table-djd thead tr {
    display: block;
    float: left;
    width: 100%;
}

.table-djd thead tr th {
    display: block;
    float: left;
}

/* Handles display of Times in 4 columns */
#ConsumerSessions_SessionStartDateTime_timeview {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-items: end;
}

#ConsumerSessions_SessionEndDateTime_timeview {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-items: end;
}

.map-button-large {
    font-size: 1.25em; /* Makes icon and text larger */
    padding: 1em 2em; /* Increases button size */
}

.map-button-large .fa-route {
    font-size: 1.25em; /* Makes the icon itself larger */
}

/* put in your page/site css */
.wrap-emails {
    white-space: normal !important; /* override Kendo’s nowrap */
    overflow-wrap: anywhere; /* modern, breaks even without spaces */
    word-break: break-word; /* legacy fallback */
}



/* DJD - Override of Kendo Grid and TabStrip for resizing purposes */
/*#tabstrip {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.k-tabstrip-wrapper {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.k-content {
    flex: 1;
    display: flex;
}

    .k-content > div {
        flex: 1;
        display: flex;
        flex-direction: column;
    }

.k-grid {
    flex: 1;
    overflow: auto;
}
*/